file upload fails silently on big files

2009-03-09 02:54 - Martin Tippmann

Status: Closed Start date: 2009-03-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.8.1

Description

If I try to upload bigger files, then after some time a blank pages appears and the file is not uploaded. I can't really reproduce this

exactly files < 5mb seems to work, the file that failed was 37mb.

apache error log entry:

attachment.rb:148: [BUG] rb_gc_mark(): unknown data type 0x30(0xb2beb10) non object

ruby 1.8.6 (2008-08-08) [i686-linux]

 production_log: (says absolutely nothing)

Processing ProjectsController#add_file (for 217.81.0.243 at 2009-03-09 02:46:16) [GET]

  Session ID: EDITED

  Parameters: {"action"=>"add_file", "id"=>"snyker", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/add_file

Completed in 0.04673 (21 reqs/sec) | Rendering: 0.03952 (84%) | DB: 0.00131 (2%) | 200 OK [http://

EDITED/add_file/snyker]

 could this be related to this?

http://rubyforge.org/tracker/index.php?func=detail&aid=22456&group_id=5833&atid=22730

Apache 2.2.8 with mod_rails 2.0.6 with ruby enterprise edition

Redmine                   0.8.1.stable.2521 (MySQL)

Ruby version              1.8.6 (i686-linux)

RubyGems version          1.3.1

Rails version             2.1.2

History

#1 - 2009-03-09 03:02 - Martin Tippmann

it appears the error messages are kind of random - the problem is the same:

/opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/callbacks.rb

:271: [BUG] Segmentation fault

ruby 1.8.6 (2008-08-08) [i686-linux]

#2 - 2009-03-09 03:44 - Martin Tippmann

i'll speak only with myself - but maybe someone will find this helpful:

it looks like a bug in ruby enterprise edition

after switching back to the centos ruby version uploads are working fine again.

#3 - 2009-03-09 18:28 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce
http://rubyforge.org/tracker/index.php?func=detail&aid=22456&group_id=5833&atid=22730


Thanks for the update.

I close this since it doesn't seem to related to Redmine. Reopen if needed.
